import React, { useEffect, useMemo, useState } from 'react';

import ECharts from '@/components/ECharts';

const labelOption = {
  show: true,
  formatter: '{c}',
  position: 'insideTop',
  distance: -20,
  fontSize: 16,
  rich: {
    name: {},
  },
};

const colors = ['#E94F05', '#5470C6', '#91CC75'];
export default (props) => {
  const { opt, optP, height } = props;
  const dataL = [];
  opt.forEach((it, ind) => {
    optP.forEach((its) => {
      if (its.name == it.name) {
        dataL.push(its.value);
        // dataL.push({
        // name: it.name,
        // value: its.value,
        // });
      }
    });
  });

  const dataPerson = useMemo(() => dataL, [dataL]);

  // 亩
  const dataX = opt.map((it) => it.name);
  const dataVal = opt.map((it) => it.value);

  const option = useMemo(
    () => ({
      colors,
      tooltip: {
        trigger: 'axis',
        axisPointer: {
          type: 'cross',
        },
        extraCssText: 'width:auto;height:auto',
      },
      xAxis: {
        type: 'category',
        data: dataX,
        axisLabel: { interval: 0, rotate: 40 },
        nameTextStyle: {
          padding: [0, 20],
        },
      },
      yAxis: [
        {
          type: 'value',
          name: '设备数量(台)',
          position: 'left',
          alignTicks: true,
          axisLine: {
            show: true,
          },
        },
        {
          type: 'value',
          name: '作业面积(亩)',
          position: 'right',
          alignTicks: true,
          axisLine: {
            show: true,
          },
        },
      ],
      // dataZoom: {
      //   show: true,
      //   start: 0,
      //   end: 100,
      // },
      series: [
        {
          name: '设备数量',
          data: dataPerson,
          type: 'line',
        },
        {
          name: '作业面积',
          data: dataVal,
          type: 'bar',
          yAxisIndex: 1,
        },
      ],
    }),
    [dataPerson, dataVal, dataX],
  );
  return (
    <div style={{ height, width: '100%' }}>
      <ECharts option={option} />
    </div>
  );
};
