import React, { useEffect, useMemo, useState } from 'react';

import ECharts from '@/components/ECharts';
import { getAreaTotalTown } from '@/services/welcome';

export default (props) => {
  const [data, setData] = useState([]);

  // 台
  const option = useMemo(() => {
    const colors = ['#E94F05', '#5470C6', '#91CC75'];
    return {
      color: colors,
      tooltip: {
        trigger: 'axis',
        axisPointer: {
          type: 'cross',
        },
        extraCssText: 'width:auto;height:auto',
      },
      xAxis: {
        type: 'category',
        axisLabel: { interval: 0, rotate: 40 },
        nameTextStyle: {
          padding: [0, 20],
        },
      },
      yAxis: [
        {
          type: 'value',
          name: '作业面积(亩)',
          alignTicks: true,
          axisLine: {
            show: true,
          },
        },
      ],
      dataset: {
        dimensions: ['name', 'value'],
        source: data,
      },
      series: [
        {
          name: '作业面积',
          type: 'bar',
        },
      ],
    };
  }, [data]);

  useEffect(() => {
    getAreaTotalTown().then(setData);
  }, []);

  return (
    <div style={{ height: props.height, width: '100%' }}>
      <ECharts option={option} />
    </div>
  );
};
